#### Linux From Scratch - Version 12.3-systemd

### Chapter 6. Cross Compiling Temporary Tools

- Prev

  Gawk-5.3.1

- Next

  Gzip-1.13

- Up
- Home

# 6.10. Grep-3.11

The Grep package contains programs for searching through the contents of files.

Approximate build time: 0.1 SBU
Required disk space: 27 MB

## 6.10.1. Installation of Grep

Prepare Grep for compilation:

    ./configure --prefix=/usr   \
                --host=$LFS_TGT \
                --build=$(./build-aux/config.guess)

Compile the package:

    make

Install the package:

    make DESTDIR=$LFS install

Details on this package are located in Section 8.35.2, “Contents of Grep.”

- Prev

  Gawk-5.3.1

- Next

  Gzip-1.13

- Up
- Home